Skip to main content
GET
List quotations

Authorizations

Authorization
string
header
required

Bearer token created for a specific company in Integrations → API.

Query Parameters

number
string

Filter by document number. The backend uses contains matching, not prefix matching.

clientId
integer

Filter by client.

issueDateFrom
string<date>

Issue date from.

issueDateTo
string<date>

Issue date to.

validityDateFrom
string<date>

Validity date from.

validityDateTo
string<date>

Validity date to.

status
enum<string>

Filter by quotation status.

Available options:
waiting,
accepted,
rejected
totalFrom
number<float>

Minimum total amount including VAT after discounts.

totalTo
number<float>

Maximum total amount including VAT after discounts.

withoutInvoice
boolean

When true, only returns quotations that do not yet have a linked final invoice.

withoutProforma
boolean

When true, only returns quotations that do not yet have a linked proforma.

withoutOrder
boolean

When true, only returns quotations that do not yet have a linked order.

sortBy
enum<string>
default:issueDate

Sort field.

Available options:
number,
issueDate,
validityDate,
total,
totalWithVat
sortDirection
enum<string>
default:desc

Sort direction.

Available options:
asc,
desc
perPage
integer
default:10

Number of results per page.

Required range: 1 <= x <= 500
page
integer
default:1

Page number.

Required range: x >= 1

Response

Paginated quotation list in preview shape.

data
object[]

Quotation preview objects for the current page.

paginator
object

Pagination metadata for the current result.